#include <bits/stdc++.h>

using namespace std;

void subtask1(int n, int k, int x){

    vector <int> novi;
    novi.push_back(1);
    novi.push_back(x+1);
    novi.push_back(x+1);
    novi.push_back(x+1);

    for(int i = 0; i<n-4; i++){
        novi.push_back(2);
    }

    for(auto i: novi)
        cout<<i<<" ";

}

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n, k, x;
    cin>>n>>k>>x;

    if(k == 3){
        subtask1(n,k,x);
    }
}